public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpeas/
Date: Fri,  8 Nov 2024 16:49:35 +0000 (UTC)	[thread overview]
Message-ID: <1731084562.5382af8a244e711c99931f33199e32a89bd4e5f1.pacho@gentoo> (raw)

commit:     5382af8a244e711c99931f33199e32a89bd4e5f1
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Tue Jan 16 14:48:38 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Nov  8 16:49:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5382af8a

dev-libs/libpeas: Bump to 2.0.3

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/34835
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 dev-libs/libpeas/Manifest             |  1 +
 dev-libs/libpeas/libpeas-2.0.3.ebuild | 91 +++++++++++++++++++++++++++++++++++
 dev-libs/libpeas/metadata.xml         |  1 +
 3 files changed, 93 insertions(+)

diff --git a/dev-libs/libpeas/Manifest b/dev-libs/libpeas/Manifest
index 45f433b79f36..42d1e4a9253d 100644
--- a/dev-libs/libpeas/Manifest
+++ b/dev-libs/libpeas/Manifest
@@ -1 +1,2 @@
 DIST libpeas-1.36.0.tar.xz 195432 BLAKE2B 12b12f041784e5fbeb03a36cad62625f7b60f770f7ff83d0660b28288262e125c2ca5f83032d4ae96faaa7b815ba9dcb245d3cbdac823765435a21e1eb08f663 SHA512 254087089475a3c1415e0ba8efb17aac56b96b1eee7c8e12933e72cc551ee39e9e3eac2d3d602bf9d369dd9fc7d3f5141e7683dec11b40b6c7b961b8e6c70a11
+DIST libpeas-2.0.3.tar.xz 156608 BLAKE2B 495a089f8ed9be0589f5c1129dbe054857e6f6ad62a46348dc0c1e4ee8aa96798615d610fec93a86a954020011032628344e4bbcfe6015b8b86ac7ef5dbf9c2d SHA512 ec4e0c0ec8d4cb513a1c30f74ad6c9181eaf6e91babcfce2872715ab57f0c3c6334b18f3dbc6271d14635ccfcda52a2101f81c3417b37bb82c163be3aed93f48

diff --git a/dev-libs/libpeas/libpeas-2.0.3.ebuild b/dev-libs/libpeas/libpeas-2.0.3.ebuild
new file mode 100644
index 000000000000..a2ac5c8270f5
--- /dev/null
+++ b/dev-libs/libpeas/libpeas-2.0.3.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-1 )
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit gnome.org lua-single meson python-single-r1 vala virtualx xdg
+
+DESCRIPTION="A GObject plugins library"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libpeas"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="glade +gtk gtk-doc javascript lua +python vala"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	>=dev-libs/glib-2.44:2
+	>=dev-libs/gobject-introspection-1.39:=
+	javascript? (
+		>=dev-libs/gjs-1.78.5
+		>=dev-lang/spidermonkey-115:115
+	)
+	gtk? ( >=x11-libs/gtk+-3.0.0:3[introspection] )
+	glade? ( >=dev-util/glade-3.9.1:3.10 )
+	lua? (
+		${LUA_DEPS}
+		$(lua_gen_cond_dep '
+			>=dev-lua/lgi-0.9.0[${LUA_USEDEP}]
+		')
+	)
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_cond_dep '
+			>=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]
+		')
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	gtk-doc? (
+		>=dev-util/gtk-doc-1.11
+		>=dev-util/gi-docgen-2021.7
+		app-text/docbook-xml-dtd:4.3
+	)
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+"
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	use vala && vala_setup
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use javascript gjs)
+		$(meson_use lua lua51)
+		$(meson_use python python3)
+		# introspection was always enabled in autotools; would need readiness by consumers
+		# to USE flag it, but most need it for python plugins anyways
+		-Dintrospection=true
+		$(meson_use vala vapi)
+		$(meson_use gtk-doc gtk_doc)
+	)
+	meson_src_configure
+}
+
+src_test() {
+	virtx meson_src_test
+}
+
+src_install() {
+	meson_src_install
+
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
+		mv "${ED}"/usr/share/doc/libpeas{,-gtk}-1.0 "${ED}"/usr/share/gtk-doc/html/ || die
+	fi
+}

diff --git a/dev-libs/libpeas/metadata.xml b/dev-libs/libpeas/metadata.xml
index bb79b6b4e7bb..0ee4b6088ae6 100644
--- a/dev-libs/libpeas/metadata.xml
+++ b/dev-libs/libpeas/metadata.xml
@@ -7,6 +7,7 @@
   </maintainer>
   <use>
     <flag name="glade">Install the glade catalog</flag>
+    <flag name="javascript">Enable JavaScript support using <pkg>dev-libs/gjs</pkg></flag>
     <flag name="python">Build support for loading <pkg>dev-lang/python</pkg> plugins</flag>
   </use>
   <upstream>


             reply	other threads:[~2024-11-08 16:49 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-08 16:49 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-18 20:27 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpeas/ Sam James
2024-11-13  0:29 Eli Schwartz
2024-11-08 19:47 Pacho Ramos
2024-11-08 16:49 Pacho Ramos
2023-09-07  0:04 Matt Turner
2023-08-08 15:04 Matt Turner
2023-05-05  6:11 Arthur Zamarin
2023-05-02 18:24 Arthur Zamarin
2023-05-02 17:31 Arthur Zamarin
2023-03-17 19:56 Matt Turner
2022-10-30  1:50 Matt Turner
2022-09-24 20:05 Matt Turner
2022-06-23  0:27 Matt Turner
2022-05-29 10:57 Pacho Ramos
2022-03-22  2:46 Matt Turner
2021-10-17 21:07 Mart Raudsepp
2021-09-24  1:37 Yixun Lan
2021-04-12 21:59 Matt Turner
2021-03-26 19:46 Conrad Kostecki
2021-03-21 15:02 Matt Turner
2020-02-09 16:18 Michał Górny
2019-12-04 20:17 Matt Turner
2018-10-03  9:54 Mart Raudsepp
2018-08-28 16:17 Mart Raudsepp
2018-07-24 12:45 Michał Górny
2018-03-26 19:33 Michał Górny
2017-12-09 19:40 Pacho Ramos
2017-12-09 19:40 Pacho Ramos
2017-07-14 13:57 Alexis Ballier
2017-04-23 21:23 Agostino Sarubbo
2017-04-17 16:49 David Seifert
2017-01-29 16:19 Fabian Groffen
2016-11-01 11:18 Gilles Dartiguelongue
2016-11-01 11:18 Gilles Dartiguelongue
2015-11-11 10:27 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1731084562.5382af8a244e711c99931f33199e32a89bd4e5f1.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox